Contents

# FreeLibrary Function

Releases DLLs that were loaded by a Declare statement. A released DLL is automatically reloaded if one of its functions is called. See also: Declare

## Syntax:

    FreeLibrary (LibName As String)

## Parameters:

LibName: String expression that specifies the name of the DLL.

FreeLibrary can only release DLLs that are loaded during Basic runtime.

### Error codes:

5 Invalid procedure call

## Example:

    Declare Sub MyMessageBeep Lib "user32.dll" Alias "MessageBeep" ( Long )
    Sub ExampleDeclare
    Dim lValue As Long
        lValue = 5000
        MyMessageBeep( lValue )
        FreeLibrary("user32.dll" )
    End Sub